# IpePdfParser Class Reference
[Ipe Base]

PDF parser. More...

List of all members.

## Public Member Functions

- IpePdfParser (IpeDataSource &source)
- void GetChar ()
- bool Eos () const
- IpePdfToken Token () const
- void GetToken ()
- IpePdfObj * GetObject ()
- IpePdfObj * GetObjectDef ()
- IpePdfDict * GetTrailer ()
- void SkipXRef ()

## Detailed Description

PDF parser.

The parser understands the syntax of PDF files, but very little of its semantics. It is meant to be able to parse PDF documents created by Ipe for loading, and to extract information from PDF files created by Pdflatex.

The parser reads a PDF file sequentially from front to back, ignores the contents of 'xref' sections, stores only generation 0 objects, and stops after reading the first 'trailer' section (so it cannot deal with files with incremental updates). It cannot handle stream objects whose /Length entry has been deferred (using an indirect object).

## Constructor & Destructor Documentation

IpePdfParser::IpePdfParser | ( | IpeDataSource & | source | ) |

Construct with a data source.

## Member Function Documentation

void IpePdfParser::GetToken | ( |  | ) |

Read the next token from the input stream.

IpePdfObj * IpePdfParser::GetObject | ( |  | ) |

Read one object from input stream.

IpePdfObj * IpePdfParser::GetObjectDef | ( |  | ) |

Parse an object definition (current token is object number).

IpePdfDict * IpePdfParser::GetTrailer | ( |  | ) |

Parse trailer dictionary (current token is 'trailer').

void IpePdfParser::SkipXRef | ( |  | ) |

Skip xref table (current token is 'xref').

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp